pcl::ComparisonBase< PointT > Class Template Referenceabstract

The (abstract) base class for the comparison object. More...

`#include <pcl/filters/conditional_removal.h>`

Inheritance diagram for pcl::ComparisonBase< PointT >:

## Public Types

using | Ptr = shared_ptr< ComparisonBase< PointT > >
using | ConstPtr = shared_ptr< const ComparisonBase< PointT > >

## Public Member Functions

| ComparisonBase ()
| Constructor. More...
virtual | ~ComparisonBase ()
| Destructor. More...
bool | isCapable () const
| Return if the comparison is capable. More...
virtual bool | evaluate (const PointT &point) const =0
| Evaluate function. More...

## Protected Attributes

bool | capable_
| True if capable. More...
std::string | field_name_
| Field name to compare data on. More...
std::uint32_t | offset_
| The data offset. More...
ComparisonOps::CompareOp | op_
| The comparison operator type. More...

## Detailed Description

### template<typename PointT>
class pcl::ComparisonBase< PointT >

The (abstract) base class for the comparison object.

Definition at line 89 of file conditional_removal.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::ComparisonBase< PointT >::ConstPtr = shared_ptr<const ComparisonBase<PointT> >

Definition at line 93 of file conditional_removal.h.

## Ptr

template<typename PointT >

using pcl::ComparisonBase< PointT >::Ptr = shared_ptr<ComparisonBase<PointT> >

Definition at line 92 of file conditional_removal.h.

## Constructor & Destructor Documentation

## ComparisonBase()

template<typename PointT >

pcl::ComparisonBase< PointT >::ComparisonBase | ( |  | ) |

inline

Constructor.

Definition at line 96 of file conditional_removal.h.

## ~ComparisonBase()

template<typename PointT >

virtual pcl::ComparisonBase< PointT >::~ComparisonBase | ( |  | ) |

inline virtual

Destructor.

Definition at line 99 of file conditional_removal.h.

## Member Function Documentation

## evaluate()

template<typename PointT >

virtual bool pcl::ComparisonBase< PointT >::evaluate | ( | const PointT & | point | ) | const

pure virtual

Evaluate function.

Implemented in pcl::TfQuadraticXYZComparison< PointT >, pcl::PackedHSIComparison< PointT >, pcl::PackedRGBComparison< PointT >, and pcl::FieldComparison< PointT >.

## isCapable()

template<typename PointT >

bool pcl::ComparisonBase< PointT >::isCapable | ( |  | ) | const

inline

Return if the comparison is capable.

Definition at line 103 of file conditional_removal.h.

References pcl::ComparisonBase< PointT >::capable_.

## Member Data Documentation

## capable_

template<typename PointT >

bool pcl::ComparisonBase< PointT >::capable_

protected

True if capable.

Definition at line 114 of file conditional_removal.h.

Referenced by pcl::PointDataAtOffset< pcl::PointXYZRGB >::compare(), pcl::FieldComparison< PointT >::FieldComparison(), pcl::ComparisonBase< PointT >::isCapable(), pcl::PackedHSIComparison< PointT >::PackedHSIComparison(), pcl::PackedRGBComparison< PointT >::PackedRGBComparison(), and pcl::TfQuadraticXYZComparison< PointT >::TfQuadraticXYZComparison().

## field_name_

template<typename PointT >

std::string pcl::ComparisonBase< PointT >::field_name_

protected

Field name to compare data on.

Definition at line 117 of file conditional_removal.h.

Referenced by pcl::FieldComparison< PointT >::FieldComparison().

## offset_

template<typename PointT >

std::uint32_t pcl::ComparisonBase< PointT >::offset_

protected

The data offset.

Definition at line 120 of file conditional_removal.h.

## op_

template<typename PointT >

ComparisonOps::CompareOp pcl::ComparisonBase< PointT >::op_

protected

The comparison operator type.

Definition at line 123 of file conditional_removal.h.

Referenced by pcl::FieldComparison< PointT >::FieldComparison(), pcl::PackedHSIComparison< PointT >::PackedHSIComparison(), pcl::PackedRGBComparison< PointT >::PackedRGBComparison(), pcl::TfQuadraticXYZComparison< PointT >::setComparisonOperator(), and pcl::TfQuadraticXYZComparison< PointT >::TfQuadraticXYZComparison().

The documentation for this class was generated from the following file:

- pcl/filters/conditional_removal.h